<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>GroundFunction (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GroundFunction (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/function/FlatRegionMaskingFilter.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/function/ItemUseFunction.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/GroundFunction.html" target="_top">Frames</a></li>
<li><a href="GroundFunction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function</div>
<h2 title="Class GroundFunction" class="title">Class GroundFunction</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.GroundFunction</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">GroundFunction</span>
extends java.lang.Object
implements <a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a></pre>
<div class="block">Applies a <a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function"><code>RegionFunction</code></a> to the first ground block.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#GroundFunction-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.RegionFunction-">GroundFunction</a></span>(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
              <a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</code>
<div class="block">Create a new ground function.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#apply-com.sk89q.worldedit.math.BlockVector3-int-">apply</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
     int&nbsp;depth)</code>
<div class="block">Apply the function to the given position.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#getAffected--">getAffected</a></span>()</code>
<div class="block">Get the number of affected objects.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#getMask--">getMask</a></span>()</code>
<div class="block">Get the mask that determines what the ground consists of.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#isGround-com.sk89q.worldedit.math.BlockVector3-">isGround</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</code>
<div class="block">Returns whether the given block should be "passed through" when
 conducting the ground search.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/function/GroundFunction.html#setMask-com.sk89q.worldedit.function.mask.Mask-">setMask</a></span>(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</code>
<div class="block">Set the mask that determines what the ground consists of.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GroundFunction-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.RegionFunction-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GroundFunction</h4>
<pre>public&nbsp;GroundFunction(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
                      <a href="../../../../com/sk89q/worldedit/function/RegionFunction.html" title="interface in com.sk89q.worldedit.function">RegionFunction</a>&nbsp;function)</pre>
<div class="block">Create a new ground function.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mask</code> - a mask</dd>
<dd><code>function</code> - the function to apply</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMask</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;getMask()</pre>
<div class="block">Get the mask that determines what the ground consists of.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a mask</dd>
</dl>
</li>
</ul>
<a name="setMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMask</h4>
<pre>public&nbsp;void&nbsp;setMask(<a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</pre>
<div class="block">Set the mask that determines what the ground consists of.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mask</code> - a mask</dd>
</dl>
</li>
</ul>
<a name="getAffected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAffected</h4>
<pre>public&nbsp;int&nbsp;getAffected()</pre>
<div class="block">Get the number of affected objects.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of affected</dd>
</dl>
</li>
</ul>
<a name="isGround-com.sk89q.worldedit.math.BlockVector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isGround</h4>
<pre>public&nbsp;boolean&nbsp;isGround(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html#isGround-com.sk89q.worldedit.math.BlockVector3-">LayerFunction</a></code></span></div>
<div class="block">Returns whether the given block should be "passed through" when
 conducting the ground search.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html#isGround-com.sk89q.worldedit.math.BlockVector3-">isGround</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - return whether the given block is the ground</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the search should stop</dd>
</dl>
</li>
</ul>
<a name="apply-com.sk89q.worldedit.math.BlockVector3-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;boolean&nbsp;apply(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;position,
                     int&nbsp;depth)
              throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html#apply-com.sk89q.worldedit.math.BlockVector3-int-">LayerFunction</a></code></span></div>
<div class="block">Apply the function to the given position.

 <p>The depth would be the number of blocks from the surface if
 a <a href="../../../../com/sk89q/worldedit/function/visitor/LayerVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><code>LayerVisitor</code></a> was used.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html#apply-com.sk89q.worldedit.math.BlockVector3-int-">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../com/sk89q/worldedit/function/LayerFunction.html" title="interface in com.sk89q.worldedit.function">LayerFunction</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - the position</dd>
<dd><code>depth</code> - the depth as a number starting from 0</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true whether this method should be called for further layers</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/function/FlatRegionMaskingFilter.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/function/ItemUseFunction.html" title="class in com.sk89q.worldedit.function"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/function/GroundFunction.html" target="_top">Frames</a></li>
<li><a href="GroundFunction.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
